[ 5 ][ 5 ]int a;

int i;

void power( ^int b; int n; )
	begin
		int j;
		b[ 0 ] = 1;
		for j = 1; j < 5; j++
		do
			b[ j ] = n * b[ j - 1];
		end
	end

void printArray( ^int b; )
	begin
		int j;
		for j = 1; j < 5; j++
		do
			printf( "%10d", b[ j ] );
		end
		printf( "\n" );
	end

for i = 0; i < 5; i++
do
	power( a[ i ], i );
end

for i = 0; i < 5; i++
do
	printArray( a[ i ] );
end
